{% extends "base2.html" %}
{% load static %}

{% block scripts %}
    <!-- <script src="{% static 'quiz/lecturer_main.js' %}" defer></script> -->
    <link rel="stylesheet" href="{% static 'ujian/home_lecturer.css' %}">
{% endblock scripts %}

{% block title %}
Lecturer Quiz Homepage
{% endblock title %}

{% block content %}

    <div class="row">
        <div class="col">
            <div class="h2" style="text-align: left;">Student's Quiz</div>
        </div>
        <button class="btn btn-info" onclick="location.href='/quiz/add-quiz/'">Add Quiz</button>
    </div>
    <hr>

    <div class="list">
        <div class="container">
            <table class="table">
                <thead>
                    <tr>
                        <th>Title</th>
                        <th>Topic</th>
                        <th>Total Questions</th>
                        <th>Add Question</th>
                        <th>Edit</th>
                        <th>Delete</th>
                    </tr>
                </thead>
                <tbody>
                    {% for q in object_list %}
                        <tr>
                            <td data-label="Title"><a href="/quiz/{{q.pk}}/view-questions/" style="text-decoration: none;">{{q.name}}</a></td>
                            <td data-label="Topic">{{q.topic}}</td>
                            <td data-label="Total Questions">{{q.number_of_questions}}</td>
                            <td data-label="Add Question"><a class="btn btn-sm btn-info" href="/quiz/create_question/{{q.pk}}/">Add Question</a></td>
                            <td data-label="Edit"><a class="btn btn-sm btn-info" href="/quiz/update/{{q.pk}}/">Edit</a></td>
                            <td data-label="Delete"><a class="btn btn-sm btn-danger" href="/quiz/delete-quiz/{{q.pk}}/">Delete</a></td>
                        </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
{% endblock content %}